Bug 139660 - can't set channel in ad-hoc mode if essid is empty
can't set channel in ad-hoc mode if essid is empty
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-17 04:55 EST by Crystal Xiong
Modified: 2015-01-04 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL40-Pre-RC2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-27 05:21:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Crystal Xiong 2004-11-17 04:55:39 EST
Description of problem:

Can't set channel if essid is empty in ad-hoc mode.

Version-Release number of selected component (if applicable):
ipw2100 v0.56

How reproducible:
Every time.

Steps to Reproduce:
1. % iwconfig eth1 mode Ad-hoc channel 4
   # can't set channel.

2. % modprobe -r ipw2100; modprobe ipw2100 mode=1 channel=4
  # failed to set channel

3. iwconfig eth1 mode ad-hoc essid "abc" channel 4
  # channel was set correctly.

Actual results:

Expected results:

Additional info:
Comment 1 Crystal Xiong 2004-12-27 05:21:29 EST
Did this test again on RHEL40-Pre-RC2. Now the 1.0.0 2100 driver can 
set channel successfully in ad-hoc mode even if essid is empty.
So this bug seems to have been fixed.

Note You need to log in before you can comment on or make changes to this bug.